Subject: Re: bug#8399: 23.3; save-some-buffers ignores buffer names

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Aug 2020 10:01:20 -0400

> Did I get the gist right below?  I'm not really sure about whether it's
> useful to prefer the buffer names in this way, though -- the use case
> here was VM, which has meaningful buffer names that visit obscure
> files...  but is that normal?

I think it's rare for buffer-names to be different from its file name,
and usually if there's a difference the buffer-name is more meaningful
(as in the VM case).

But I'd be surprised if we couldn't find counter examples.

> Isn't it more useful to know what files you're saving to, and not what
> buffers they're coming from?

Maybe we should choose (i.e. display both)?

        Stefan